기술 요구 사항 technical-requirements

Adobe은 이 문서의 다음 정보에 자세히 설명된 대로 플랫폼에서 (AEM) Adobe Experience Manager을 지원합니다.

플랫폼과 관련된 모든 문제는 플랫폼 공급업체에 문의하십시오.

NOTE
AEM을 설치하는 플랫폼에 따라 사용자 관리에 대한 요구 사항 세트가 다를 수 있습니다.

사전 요구 사항 prerequisites

Adobe Experience Manager 설치를 위한 최소 요구 사항:

  • 설치된 Java™ Platform, Standard Edition JDK 또는 기타 지원 Java™ 가상 시스템
  • Experience Manager Quickstart 파일(독립형 JAR 또는 웹 애플리케이션 배포 WAR)

최소 크기 조정 요구 사항 minimum-sizing-requirements

Adobe Experience Manager 실행을 위한 최소 요구 사항:

  • 설치 디렉토리의 사용 가능한 디스크 공간 5GB
  • 2 GB 메모리
NOTE
  • 디지털 자산 사용 사례에는 더 많은 기본 메모리가 필요합니다. 자세한 내용은 Deploying and Maintenance🔗를 참조하십시오.
  • AEM Forms 추가 기능 패키지 에는 15GB의 임시 공간이 필요합니다.

자세한 내용은 하드웨어 크기 조정 지침을🔗 참조하세요.

지원 수준 support-levels

이 문서에는 Adobe Experience Manager에 대해 지원되는 클라이언트 및 서버 플랫폼이 나열되어 있습니다. Adobe Systems 에서는 권장 구성과 기타 구성 모두에 대해 여러 수준의 지원을 제공합니다.

지원되는 구성 supported-configurations

Adobe Systems 에서는 이러한 구성을 권장하며 표준 소프트웨어 유지 관리 계약의 일부로서 전체 지원을 제공합니다.

지원 수준
설명
A: 지원됨
Adobe Systems 에서는 이 구성을 완벽하게 지원하고 유지 관리할 수 있습니다. 이 구성은 Adobe Systems 품질 보증 프로세스에서 다룹니다.
R: 제한된 지원
고객의 프로젝트 성공을 보장하기 위해 Adobe Systems 는 특정 조건을 충족해야 하는 제한된 지원 프로그램 내에서 전폭적인 지원을 제공합니다. R 수준 지원을 사용하려면 공식적인 고객 요청 및 Adobe Systems 의 확인이 필요합니다. 자세한 내용은 Adobe Systems 고객 지원 센터에 문의하십시오.

지원되지 않는 구성 unsupported-configurations

지원 수준
설명
Z: 지원되지 않음
구성이 지원되지 않습니다. Adobe Systems 에서는 구성이 작동하는지 여부를 설명하지 않으며 이를 지원하지 않습니다.

지원되는 플랫폼 supported-platforms

자바 가상 머신(Java™ Virtual Machines) java-virtual-machines

애플리케이션 실행에는 JDK(Java™ Development Kit) 배포판에서 제공하는 Java™ Virtual Machine이 필요합니다.

Adobe Experience Manager 는 다음 버전의 Java™ Virtual Machines에서 작동합니다.

CAUTION
Java™ 공급업체의 보안 게시판을 추적합니다. 이렇게 하면 프로덕션 환경의 안전과 보안이 보장됩니다. 또한 항상 최신 Java™ 업데이트를 설치하십시오.
플랫폼
지원 수준
링크
Oracle Java™ SE 17 JDK
Z: 지원되지 않음 [1]
Oracle Java™ SE 11 JDK - 64비트
A: 지원됨 [1]
다운로드
Oracle Java™ SE 10 JDK
Z: 지원되지 않음 [1]
Oracle Java™ SE 9 JDK
Z: 지원되지 않음 [1]
Oracle Java™ SE 8 JDK - 64비트
A: 지원됨 [1]
다운로드
IBM® J9 VM - 빌드 2.9, JRE 1.8.0
A: 지원됨 [2]
IBM® J9 VM - 빌드 2.8, JRE 1.8.0
A: 지원됨 [2]
Azul Zulu OpenJDK 11 - 64비트
A: 지원됨 [3]
Azul Zulu OpenJDK 8 - 64비트
A: 지원됨 [3]
  1. Oracle이 Oracle Java™ SE 제품에 대한 "장기 지원"(LTS) 모델로 전환되었습니다. Java™ 9, Java™ 10 및 Java™ 12는 Oracle에 의한 비 LTS 릴리스입니다(참조) Oracle Java™ SE 지원 로드맵). 프로덕션 환경에 AEM을 배포하기 위해 Adobe은 Java™의 LTS 릴리스에 대해서만 지원을 제공합니다. 공개 업데이트 종료 이후의 LTS 릴리스의 모든 유지 관리 업데이트를 포함하여 Oracle Java™ SE JDK의 지원 및 배포는 Oracle Java™ SE 기술을 사용하는 모든 AEM 고객을 위해 Adobe이 직접 지원합니다. 다음을 참조하십시오. Adobe Experience Manager에 대한 Java™ 지원 정책.
    중요: Java™ 11 Oracle은 2026년 9월까지 최소 지원됩니다. oracle Java™ 17에 대한 지원이 준비중입니다.

  2. IBM® JRE는 WebSphere® Application Server와만 지원됩니다.

  3. Azul Zulu OpenJDK LTS 버전은 버전 6.5 SP9부터 온-프레미스 AEM 배포에 대해 지원됩니다. Azul Zulu JDK LTS 버전의 지원 및 배포는 Adobe 고객이 Azul에서 직접 라이선스를 받아야 합니다.

스토리지 및 지속성 storage-persistence

Adobe Experience Manager 저장소를 배포하기 위한 다양한 옵션이 있습니다. 지원되는 기술 및 스토리지 옵션에 대해서는 다음 목록을 참조하십시오.

플랫폼
설명
지원 수준
TAR 파일이 있는 파일 시스템 [1]
저장소
A: 지원됨
데이터 저장소 ​가 있는 파일 시스템 [1]
바이너리
A: 지원됨
파일 시스템의 TAR 파일에 바이너리 저장 [1]
바이너리
Z: 프로덕션에 지원되지 않음
Amazon S3
바이너리
A: 지원됨
Microsoft® Azure Blob 저장소
바이너리
A: 지원됨
MongoDB 엔터프라이즈 6.0
저장소
A: 지원됨 [3, 4]
MongoDB 엔터프라이즈 5.0
저장소
A: 지원됨 [3, 4]
MongoDB 엔터프라이즈 4.4
저장소
A: 지원됨 [2, 3, 4, 7]
MongoDB 엔터프라이즈 4.2
저장소
A: 지원됨 [2, 3, 4, 7]
MongoDB 엔터프라이즈 4.0
저장소
Z: 지원되지 않음
MongoDB 엔터프라이즈 3.6
저장소
Z: 지원되지 않음
MongoDB 엔터프라이즈 3.4
저장소
Z: 지원되지 않음
IBM® DB2® 10.5
저장소 및 Forms 데이터베이스
R: 제한된 지원 [5]
Oracle 데이터베이스 12c(12.1.x)
저장소 및 Forms 데이터베이스
R: 제한된 지원
Microsoft® SQL Server 2016
Forms 데이터베이스
A: 지원됨
Apache Lucene(빠른 시작 기본 제공)
Search 서비스
A: 지원됨
Apache Solr
검색 서비스
A: 지원됨
  1. '파일 시스템'에는 POSIX와 호환되는 블록 저장소가 포함되어 있습니다. 네트워크 스토리지 기술을 포함합니다. 파일 시스템 성능이 달라질 수 있으며 전체 성능에 영향을 줄 수 있습니다. 네트워크/원격 파일 시스템으로 테스트 AEM을 로드합니다.

  2. MongoDB Enterprise 버전 4.2 및 4.4에는 AEM 6.5 SP9 이상이 필요합니다.

  3. MongoDB 분할은 AEM에서 지원되지 않습니다.

  4. MongoDB 스토리지 엔진 WiredTiger는 만 지원됩니다.

  5. AEM Forms 업그레이드 고객을 위해 지원됩니다. 새 설치에서는 지원되지 않습니다.

  6. AEM Forms에만 적용 가능:

    • oracle 데이터베이스 12c에 대한 지원이 제거되었으며 Oracle 데이터베이스 19c에 대한 지원이 추가되었습니다.
    • Microsoft® SQL Server 2016에 대한 지원이 제거되었으며 Microsoft® SQL Server 2019에 대한 지원이 추가되었습니다.
  7. AEM Forms에서는 지원되지 않습니다.

NOTE
다음을 참조하십시오 커뮤니티 배포 AEM Communities 기능에 대한 추가 정보.
NOTE
MongoDB는 타사 소프트웨어 프로그램이며 AEM 라이센스 패키지에는 포함되어 있지 않습니다. 자세한 내용은 MongoDB 라이선스 정책 정책🔗 페이지 페이지를 참조하세요.
MongoDB를 AEM 배포최대한 활용하려면 MongoDB Enterprise 버전 라이선스를 취득하여 전문적인 지원을 받을 Adobe Systems 있습니다. 다음을 참조하십시오 권장 배포 추가 정보.
라이센스에는 작성자 또는 게시 배포에 사용할 수 있는 하나의 기본 인스턴스와 두 개의 보조 인스턴스로 구성된 표준 복제본 세트가 포함되어 있습니다.
MongoDB에서 작성자와 게시를 모두 실행하려는 경우 두 개의 별도 라이선스를 구입해야 합니다.
Adobe 고객 지원 센터는 AEM에서 MongoDB 사용과 관련된 자격 부여 문제를 지원합니다.
자세한 내용은 Adobe Experience Manager 페이지🔗용 MongoDB를 참조하세요.
NOTE
위에 나열된 대로 지원되는 관계형 데이터베이스는 서드파티 소프트웨어이며 AEM 라이선싱 패키지에 포함되어 있지 않습니다.
지원되는 관계형 데이터베이스로 AEM 6.5를 실행하려면 데이터베이스 공급업체와의 별도 지원 계약이 필요합니다. Adobe Systems 고객 지원 센터는 AEM 6.5에서 관계형 데이터베이스 사용과 관련된 적격 문제를 지원합니다.
대부분의 관계형 데이터베이스는 현재 위의 Level-R 설명에 명시된 지원 기준 및 지원 프로그램과 함께 제공되는 AEM 6.5의 Level-R 내에서 지원됩니다.

서블릿 엔진/애플리케이션 서버 servlet-engines-application-servers

Adobe Experience Manager 독립형 서버(빠른 시작 JAR 파일) 또는 서드파티 애플리케이션 서버 내의 웹 애플리케이션(WAR 파일)로 실행할 수 있습니다.

필요한 최소 서블릿 API 버전 버전은 Servlet 3.1입니다.

Platform
지원 수준
빠른 시작 내장 서블릿 엔진(Jetty 9.4)
A: 지원됨
Oracle WebLogic 서버 12.2(12cR2)
Z: 지원되지 않음
IBM® WebSphere® Application Server Continuous Delivery(LibertyProfile)(Web Profile 7.0 및 IBM® JRE 1.8 포함)
R: 새 계약에 대한 제한된 지원 [2]
IBM® WebSphere® Application Server 9.0 및 IBM® JRE 1.8
R: 새 계약에 [1] 대한 제한된 지원 [2]
Apache Tomcat 8.5.x
R: 새 계약에 대한 제한된 지원 [2]
JBoss® Application Server를 사용하는 JBoss® EAP 7.2.x
Z: 지원되지 않음
JBoss® Application Server를 사용하는 JBoss® EAP 7.1.4
R: 새 계약에 [1] 대한 제한된 지원 [2]
JBoss® Application Server를 사용하는 JBoss® EAP 7.0.x
Z: 지원되지 않음
  1. AEM Forms 배포에 권장됩니다.
  2. 애플리케이션 서버에서 AEM 6.5 배포를 시작하면 제한된 지원으로 전환됩니다. 기존 고객은 AEM 6.5로 업그레이드하여 애플리케이션 서버를 계속 사용할 수 있습니다. 신규 고객의 경우 위의 Level-R 설명에 명시된 지원 기준 및 지원 프로그램이 함께 제공됩니다.
  3. 적용 가능한 AEM Forms만 해당:
    • JBoss® EAP 7.1.4에 대한 지원이 제거되고 JBoss® EAP 7.4.10에 대한 지원이 추가되었습니다.

서버 운영 체제 server-operating-systems

Adobe Experience Manager 는 프로덕션 환경에 대해 다음 서버 플랫폼과 함께 작동합니다.

플랫폼
지원 수준
Linux®, Red Hat® 배포 기반
A: 지원됨 [1] [3]
Debian 배포 기반 Linux®에는 다음이 포함됩니다. 우분투
A: 지원됨 [1] [2]
Linux®, SUSE® 배포 기반
A: 지원됨 [1]
Microsoft® Windows Server 2019 [4]
R: 신규 계약에 대한 제한된 지원 [5]
Microsoft® 윈도우 서버 2016 [4]
R: 신규 계약에 대한 제한된 지원 [5]
Microsoft® Windows Server 2012 R2
Z: 지원되지 않음
Oracle Solaris™ 11
Z: 지원되지 않음
IBM® AIX® 7.2
Z: 지원되지 않음
  1. Linux® 커널 2.6, 3. x, 4. x, 5. x와 6. x에는 Red Hat® Enterprise Linux®, CentOS, Oracle Linux® 및 Amazon Linux®를 비롯한 Red Hat 배포판의 파생물이 포함되어 ®. AEM Forms 추가 기능 기능은 CentOS 7, Red Hat® Enterprise Linux® 7, Red Hat® Enterprise Linux® 8 및 Red Hat® Enterprise Linux® 9에서만 지원됩니다.

  2. AEM Forms는 Ubuntu 20.04 LTS에서 지원됩니다.

  3. Adobe Managed Services에서 지원하는 Linux® 배포.

    note note
    NOTE
    Linux 기반 서버(OSGI 및 JEE 스택)의 경우 AEM Forms 추가 기능에는 다음과 같은 런타임 종속성이 필요합니다.
    • glibc.x86_64 (2.17-196)
    • libX11.x86_64 (1.6.7-4)
    • zlib.x86-64 (1.2.7-17)
    • libxcb.x86_64(1.13-1.el7)
    • libXau.x86_64(1.0.8-2.1.el7)
  4. Microsoft® Windows 프로덕션 배포는 6.5로 업그레이드하는 고객 및 비프로덕션 용도로 지원됩니다. 새로 만들기 배포는 AEM Sites 및 Assets에 대한 요청 시 이루어집니다.

  5. AEM Forms는 지원 수준 R 제한 없이 Microsoft® Window Server에서 지원됩니다.

  6. AEM Forms에서는 Microsoft® Windows Server 2016에 대한 지원이 제거되었습니다.

NOTE
AEM Forms 6.5를 설치하는 경우 다음 32비트 Microsoft® Visual C++ 재배포 가능 패키지를 설치했는지 확인하십시오.
  • Microsoft® Visual C++ 2008 재배포 가능 패키지
  • Microsoft® Visual C++ 2010 재배포 가능 패키지
  • Microsoft® Visual C++ 2012 재배포 가능 패키지
  • Microsoft® Visual C++ 2013 재배포 가능 패키지
  • Microsoft® Visual C++ 2019(VC14.28 이상) 재배포 가능 패키지

가상 및 클라우드 컴퓨팅 환경 virtual-cloud-computing-environments

Adobe Experience Manager는 클라우드 컴퓨팅 환경의 가상 머신에서 실행할 수 있습니다. 이러한 환경에는 Microsoft® Azure 및 AWS(Amazon Web Services)가 포함되며 이 페이지에 나열된 기술 요구 사항을 준수하고 Adobe Systems의 표준 지원 약관에 따라 실행됩니다.

클라우드 기본 환경의 경우 AEM 제품 라인의 최신 제품인 Adobe Experience Manager as a Cloud Service를 검토하십시오. 자세한 내용은 Adobe Experience Manager Cloud Service 설명서🔗를 참조하십시오.

Adobe Systems 또한 Azure 또는 AWS에서 배포 AEM할 수 있는 Adobe Systems Managed Services 제공합니다. Adobe Systems Managed Services는 이러한 클라우드 컴퓨팅 환경에서 AEM 배포하고 운영할 수 있는 경험과 기술을 전문가에게 제공합니다. Adobe Systems Managed Services🔗에 대한 추가 설명서를 참조하십시오.

Azure 또는 AWS 또는 기타 클라우드 컴퓨팅 환경에 AEM을 배포하는 다른 모든 경우 Adobe Systems의 지원이 가상 컴퓨팅 환경에 포함됩니다. 해당 가상 환경은 이 페이지 에 나열된 기술 사양에 따라 실행되어야 합니다. 이러한 클라우드 환경에서 실행되는 AEM과 관련하여 보고된 모든 문제는 클라우드 컴퓨팅 환경과 관련된 클라우드 서비스와 독립적으로 재현할 수 있어야 합니다. 즉, 클라우드 서비스가 이 페이지 페이지에 나열된 기술 요구 사항의 일부로 지원되지 않는 경우(예: Azure Blob Storage 또는 AWS S3)입니다.

Adobe Systems Managed Services 이외의 Azure 또는 AWS에서 배포 AEM 방법에 대한 권장 사항은 Adobe Systems클라우드 공급자와 직접 작업하는 것이 좋습니다. 또는 선택한 환경의 배포 지원하는 Adobe Systems 파트너AEM 클라우드에서 협력할 수 있습니다. 선택한 클라우드 공급자 또는 파트너는 특정 성능, 부하, 확장성 및 보안 요구 사항을 충족하기 위해 아키텍처의 크기 조정 사양, 디자인 및 구현을 담당합니다.

Dispatcher 플랫폼(웹 서버) dispatcher-platforms-web-servers

Dispatcher는 캐싱 및 로드 밸런싱 구성 요소입니다. 최신 Dispatcher 버전을 다운로드합니다. Experience Manager 6.5에는 Dispatcher 버전 4.3.2 이상이 필요합니다.

다음 웹 서버는 Dispatcher 버전 4.3.2에서 사용할 수 있습니다.

Platform
지원 수준
Apache httpd 2.4.x [1,2]
A: 지원됨
Microsoft® IIS 10(인터넷 정보 서버)
A: 지원됨
Microsoft® IIS 8.5(인터넷 정보 서버)
Z: 지원되지 않음
  1. Apache httpd 소스 코드를 기반으로 구축된 웹 서버는 기반이 되는 httpd 버전만큼 많은 지원을 제공합니다. 확실하지 않은 경우 Adobe에게 각 서버 제품과 관련된 지원 수준을 확인하도록 요청하십시오. 다음과 같은 경우:

    1. HTTP 서버는 공식 Apache 소스 배포만 사용하여 빌드되었습니다. 또는
    2. HTTP 서버는 실행 중인 운영 체제의 일부로 전달되었습니다. 예: IBM® HTTP 서버, Oracle HTTP 서버
  2. Dispatcher는 Windows 운영 체제용 Apache 2.4.x에서 사용할 수 없습니다.

지원되는 클라이언트 플랫폼 supported-client-platforms

사용자 인터페이스 작성에 지원되는 브라우저 supported-browsers-for-authoring-user-interface

Adobe Experience Manager 사용자 인터페이스는 다음 클라이언트 플랫폼에서 작동합니다. 모든 브라우저는 기본 플러그인 및 추가 기능 세트로 테스트됩니다.

AEM 사용자 인터페이스는 더 큰 화면(일반적으로 노트북 및 데스크탑 컴퓨터)과 태블릿 폼 팩터(예: Apple iPad 또는 Microsoft® 표면)에 최적화되어 있습니다. 휴대폰 폼 팩터는 지원되지 않습니다.

NOTE
빠른 릴리스 주기를 사용하는 브라우저 지원:
Mozilla Firefox, Google Chrome 및 Microsoft® Edge 릴리스 업데이트는 몇 개월마다 업데이트됩니다. Adobe은 이러한 브라우저의 향후 버전에 대해 아래에 명시된 대로 지원 수준을 유지하기 위해 Adobe Experience Manager에 대한 업데이트를 제공하기로 약속했습니다.
브라우저
UI 지원
클래식 UI 지원
Google Chrome(Evergreen)
A: 지원됨
A: 지원됨
Microsoft® Edge (Evergreen)
A: 지원됨
A: 지원됨
Microsoft® Internet Explorer 11
Z: 지원되지 않음
Z: 지원되지 않음
Mozilla Firefox (Evergreen)
A: 지원됨
A: 지원됨
Mozilla Firefox 마지막 ESR [1]
A: 지원됨
A: 지원됨
macOS의 Apple Safari(에버그린)
A: 지원됨
A: 지원됨
macOS의 Apple Safari 11.x
Z: 지원되지 않음
Z: 지원되지 않음
iOS 12.x의 Apple Safari
A: 지원됨 [2]
Z: 지원되지 않음
iOS 11.x의 Apple Safari
Z: 지원되지 않음
Z: 지원되지 않음

웹 사이트에 대해 지원되는 브라우저 supported-browsers-for-websites

일반적으로 AEM Sites에서 렌더링하는 웹 사이트에 대한 브라우저 지원은 AEM 페이지 템플릿, 디자인 및 구성 요소 출력의 구현에 따라 다르며, 따라서 이러한 부분을 구현하는 당사자의 통제 하에 있습니다.

WebDAV 클라이언트 webdav-clients

Microsoft® Windows 7+

SSL로 보호되지 않는 AEM 인스턴스에 Microsoft® Windows 7+를 연결할 때 Windows에서 비보안 네트워크를 통한 기본 인증을 활성화해야 합니다. WebClient의 Windows 레지스트리를 변경해야 합니다.

  1. 레지스트리 하위 키를 찾습니다.

    • HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\WebClient\Parameters
  2. 2 이상의 값을 사용하여 BasicAuthLevel 레지스트리 항목을 이 하위 키에 추가합니다.

추가 플랫폼 노트 additional-platform-notes

이 섹션에서는 Adobe Experience Manager 및 해당 추가 기능 실행에 대한 특수 참고 사항과 보다 자세한 정보를 제공합니다.

IPv4 및 IPv6 ipv-and-ipv

Adobe Experience Manager의 모든 요소(인스턴스, Dispatcher)는 IPv4 및 IPv6 네트워크 모두에 설치할 수 있습니다.

특별한 구성이 필요하지 않으므로 작동이 원활합니다. 필요한 경우 네트워크 유형에 적합한 포맷 사용을 사용하여 IP 주소를 지정합니다.

IP 주소를 지정해야 하는 경우 필요에 따라 다음 중에서 선택할 수 있습니다.

  • IPv6 주소입니다. 예, https://[ab12::34c5:6d7:8e90:1234]:4502

  • IPv4 주소입니다. 예, https://123.1.1.4:4502

  • 서버 이름. 예, https://www.yourserver.com:4502

  • 의 기본 대/소문자 localhost 는 IPv4 및 IPv6 네트워크 설치 모두에 대해 해석됩니다. 예, https://localhost:4502

AEM 다이내믹 미디어 추가 기능에 대한 요구 사항 requirements-for-aem-dynamic-media-add-on

AEM Dynamic Media은 기본적으로 비활성화되어 있습니다. 자세한 내용은 여기 를 참조하십시오 Dynamic Media 활성화.

Dynamic Media이 활성화되면 다음과 같은 추가 기술 요구 사항이 적용됩니다.

NOTE
이러한 시스템 요구 사항 전용 Dynamic Media - 하이브리드 모드를 사용하는 경우 적용하십시오. Dynamic Media - 하이브리드 모드에는 특정 운영 체제에서만 인증되는 내장 이미지 서버가 있습니다.
Dynamic Media - Scene7 모드를 실행하는 Dynamic Media 고객의 경우 (즉, dynamicmedia_scene7 실행 모드), 추가적인 시스템 요구 사항은 없으며, AEM과 동일한 시스템 요구 사항만 있습니다. Dynamic Media - Scene7 모드 아키텍처는 AEM에 임베드된 서비스가 아닌 클라우드 기반 이미지 서비스를 사용합니다.

하드웨어 hardware

Linux® 및 Windows 모두에 다음 하드웨어 요구 사항을 적용할 수 있습니다.

  • Intel Xeon® 또는 AMD® Opteron CPU(최소 4개 코어)
  • 최소 16GB RAM

Linux® linux

Linux®에서 Dynamic Media을 사용하는 경우 다음 전제 조건을 충족해야 합니다.

  • Red Hat® Enterprise 7 이상(최신 수정 패치 포함)
  • 비트 운영 체제
  • 스와핑 비활성화됨(권장)
  • SELinux 비활성화됨(다음 참고 참조)
NOTE
로케일이 LC_CTYPE이 다음과 같지 않도록 설정된 경우 en_US.UTF-8: Dynamic Media이 작동하지 않습니다. 해당 값이 무엇인지 보려면 명령 프롬프트에서 "locale"을 입력하십시오. 제대로 설정되지 않은 경우 AEM을 실행하기 전에 "export LC_CTYPE="을 입력하여 LC_CTYPE 환경 변수를 빈 문자열로 설정합니다.
NOTE
SELinux 비활성화: SELinux가 켜져 있으면 이미지 제공이 작동하지 않습니다. 이 옵션은 기본적으로 활성화되어 있습니다. 이 문제를 해결하려면 /etc/selinux/config 파일을 만들고 SELinux 값을 다음 위치에서 변경합니다.
SELINUX=enforcing SELINUX=disabled
NOTE
NUMA 아키텍처: AMD64 및 Intel® EM64T를 특징으로 하는 프로세서가 있는 시스템은 일반적으로 NUMA(Non-Uniform Memory Architecture) 플랫폼으로 구성됩니다. 즉, 커널은 단일 메모리 노드 구성하지 않고 부팅 시 여러 메모리 노드를 구성합니다.
여러 노드 구문으로 인해 다른 노드가 소진되기 전에 하나 이상의 노드에서 메모리가 고갈될 수 있습니다. 메모리 고갈이 발생하면 커널은 사용 가능한 메모리가 있더라도 프로세스(예: 이미지 서버 또는 Platform 서버)를 균일 종료하기로 결정할 수 있습니다.
Adobe Systems따라서 이러한 시스템을 실행하는 경우 커널이 이러한 프로세스를 종료하지 않도록 numa=off 부팅 옵션을 사용하여 NUMA를 끄는 것이 좋습니다.
NOTE
서버 호스트 이름을 확인해야 함: 서버의 호스트 이름을 IP 주소로 확인할 수 있는지 확인하십시오. 가능하지 않은 경우 정규화된 호스트 이름과 IP 주소를 /etc/hosts에 추가합니다.
<ip address> <fully qualified hostname>

Windows windows

  • 마이크로소프트® 윈도우 서버 2016
  • 실제 메모리(RAM) 양의 두 배 이상에 해당하는 스왑 공간

Windows에서 Dynamic Media을 사용하려면 x64 및 x86용 Microsoft® Visual Studio 2010, 2013 및 2015 재배포 가능 패키지를 설치하십시오.

Windows x64의 경우

Windows x86의 경우:

macOS macos

  • 10.9.x 이상
  • 체험판 및 데모 목적으로만 지원됨

AEM Forms PDF Generator 요구 사항 requirements-for-aem-forms-pdf-generator

PDF Generator 소프트웨어 지원 software-support-for-pdf-generator

제품
PDF로 변환하기 위해 지원되는 형식
Acrobat 2020 클래식 트랙 최신 버전
XPS, 이미지 형식(BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, DWG, DXF 및 DWF
Acrobat 2017 클래식 트랙 최신 버전(더 이상 사용되지 않음)
XPS, 이미지 형식(BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, DWG, DXF 및 DWF
마이크로소프트® 오피스 2019
DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF 및 TXT
Microsoft® Office 2016(더 이상 사용되지 않음)
DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF 및 TXT
워드퍼펙트 2020
WP, WPD
Microsoft® Office Visio 2016(더 이상 사용되지 않음)
VSD, VSDX
마이크로소프트® 퍼블리셔 2019
술집
Microsoft® Publisher 2016(더 이상 사용되지 않음)
PUB
Microsoft® Project 2016(더 이상 사용되지 않음)
MPP
오픈오피스 4.1.10
ODT, ODP, ODS, ODG, ODF, SXW, SXI, SXC, SXD, XLS, XLSX, DOC, DOCX, PPT, PPTX, 이미지 형식(BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, RTF, TXT
OpenOffice 4.1.2(더 이상 사용되지 않음)
ODT, ODP, ODS, ODG, ODF, SXW, SXI, SXC, SXD, XLS, XLSX, DOC, DOCX, PPT, PPTX, 이미지 형식(BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, RTF, TXT
NOTE
PDF Generator은 지원되는 운영 체제 및 애플리케이션의 영어, 프랑스어, 독일어 및 일본어 버전만 지원합니다.
또한,
  • PDF Generator을 사용하려면 32비트 버전의 Acrobat 2020 classic track 버전 20.004.30006 또는 Acrobat 2017 버전 17.011.30078을 사용하여 변환을 수행할 수 있습니다.
  • OpenOffice의 PDF Generator 전환은 Windows 및 Linux®에서만 지원됩니다.
  • PDF Generator은 Microsoft® Office Professional Plus의 32비트 정품 버전 및 Windows 운영 체제에서 전환하는 데 필요한 기타 소프트웨어만 지원합니다.
  • PDF Generator은 Linux® 운영 체제에서 32비트 및 64비트 버전의 OpenOffice를 지원합니다.
  • PDF Generator은 Microsoft® Office 365를 지원하지 않습니다.
  • OCR PDF, Optimize PDF 및 Export PDF 기능은 Windows에서만 지원됩니다.
  • Acrobat 버전은 PDF Generator 기능을 사용할 수 있도록 AEM Forms과 번들로 제공됩니다. AEM Forms 라이선스가 있는 동안 프로그래밍 방식으로 AEM Forms에서만 번들 버전에 액세스하여 AEM Forms PDF Generator과 함께 사용합니다. 자세한 내용은 배포에 따른 AEM Forms 제품 설명(On-Premise 또는 Managed Services)
  • PDF Generator 서비스는 Microsoft® Windows 10을 지원하지 않습니다.
  • PDF Generator이 Microsoft® Visio 2019를 사용하여 파일을 변환하지 못했습니다. Microsoft® Visio 2016을 계속 사용하여 변환할 수 있습니다 .VSD.VSDX 파일.
  • PDF Generator이 Microsoft® Project 2019를 사용하여 파일을 변환하지 못했습니다. Microsoft® Project 2016을 계속 사용하여 변환할 수 있습니다 .VSD.VSDX 파일.

AEM Forms Designer 요구 사항 requirements-for-aem-forms-designer

  • Microsoft® Windows® 2016 Server, Microsoft® Windows® 2019 Server, Microsoft® Windows® 10 또는 Windows® 11
  • PAE, NX 및 SSE2를 지원하는 1GHz 이상의 프로세서.
  • 32비트 OS의 경우 1GB RAM 또는 64비트 OS의 경우 2GB RAM
  • 32비트의 경우 16GB 디스크 공간 또는 64비트 OS의 경우 20GB 디스크 공간
  • 그래픽 메모리 - 128MB GPU(256MB 권장)
  • 2.35GB의 사용 가능한 하드 디스크 공간
  • 1024 X 768픽셀 이상의 모니터 해상도
  • 비디오 하드웨어 가속(선택 사항)
  • Acrobat Pro DC, Acrobat Standard DC 또는 Adobe Acrobat Reader DC
  • Designer를 설치하기 위한 관리자 권한
  • 32비트 AEM Forms Designer용 Microsoft Visual C++ 2019(VC 14.28 이상) 32비트 런타임
  • 64비트 AEM Forms Designer용 Microsoft Visual C++ 2019(VC 14.28 이상) 64비트 런타임(OSGI 및 JEE 스택 모두 해당)

AEM Forms 디자이너 설치 및 구성

AEM Assets XMP 메타데이터 쓰기 되돌리기 요구 사항 requirements-for-aem-assets-xmp-metadata-write-back

XMP 원본에 쓰기 지원되며 다음 플랫폼 및 파일 형식에 사용할 수 있습니다.

Linux®에서 메타데이터가 많은 자산을 처리하기 위한 AEM Assets 요구 사항 assetsonlinux

XMPFilesProcessor 프로세스가 작동하려면 GLIBC_2.14 라이브러리가 필요합니다. GLIBC_2.14가 포함된 Linux® 커널을 사용합니다(예: Linux® 커널 버전 3.1.x). PSD 파일과 같이 대량의 메타데이터가 포함된 에셋을 처리하는 경우 성능이 향상됩니다. 이전 버전의 GLIBC를 사용하면 로 시작하는 로그에 오류가 발생합니다. com.day.cq.dam.core.impl.handler.xmp.NCommXMPHandler Failed to read XMP.

recommendation-more-help
19ffd973-7af2-44d0-84b5-d547b0dffee2